%define name    embryo
%define version 1.7.5
%define option  0
%define svn     0
%if %option
%define rel 0.%option.2
%define namevers %name-%version-%option
%else
%define rel 2
%define namevers %name-%version
%endif
%if %svn
%define release %mkrel -c %svn %rel
%else
%define release %mkrel %rel
%endif

%define major 	1
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} -d

Summary: 	Enlightenment bytecode virtual machine
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	BSD
Group: 		Graphical desktop/Enlightenment
URL: 		http://trac.enlightenment.org/e/wiki/Embryo
# creating archive is quite simple:
# svn export http://svn.enlightenment.org/svn/e/branches/%name-1.1 %name
# tar cJf %name-%svn.tar.xz %name
%if %svn
Source:         %name-%svn.tar.xz
%else
Source: 	http://download.enlightenment.org/releases/%namevers.tar.bz2
%endif
%if %svn
BuildRequires:  eina-devel >= %{version}-0.%svn
%else
BuildRequires:  eina-devel >= %{version}
%endif
BuildRequires:  doxygen

%description
Embryo is primarily a shared library that gives you an API to load and control
interpreted programs compiled into an abstract machine bytecode that it
understands.  This abstract (or virtual) machine is similar to a real machine
with a CPU, but it is emulated in software.

This package is part of the Enlightenment DR17 desktop shell.

%package -n %libname
Summary: Libraries for the %{name} package
Group: System/Libraries

%description -n %libname
Libraries for %{name}

%package -n %libnamedev
Summary: Headers and development libraries from %{name}
Group: Development/Other
Requires: %libname = %{version}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %name-devel = %{version}-%{release}

%description -n %libnamedev
%{name} development headers and libraries.

%prep
%if %svn
%setup -qn %name
%else
%setup -qn %namevers
%endif

%build
%if %svn
LC_ALL=C NOCONFIGURE=1 ./autogen.sh
%endif
%configure2_5x --disable-static
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%files
%doc AUTHORS COPYING README
%{_bindir}/%{name}_cc
%{_datadir}/%name

%files -n %libname
%{_libdir}/*.so.%{major}*

%files -n %libnamedev
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/*




%changelog

* Tue May 07 2013 trem <trem> 1.7.5-2.mga3
+ Revision: 412562
- increase release to rebuild

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 trem <trem> 1.7.5-1.mga3
+ Revision: 339270
- update to release 1.7.5

* Sat Dec 22 2012 trem <trem> 1.7.4-1.mga3
+ Revision: 333855
- update to release 1.7.4

* Fri Dec 07 2012 trem <trem> 1.7.3-1.mga3
+ Revision: 327930
- update to release 1.7.3

* Fri Nov 23 2012 trem <trem> 1.7.2-1.mga3
+ Revision: 321317
- update to release 1.7.2

* Wed Nov 21 2012 trem <trem> 1.7.1-1.mga3
+ Revision: 320192
- update to release 1.7.1

* Sat Sep 08 2012 trem <trem> 1.7.0-1.mga3
+ Revision: 290121
- update to release 1.7.0

* Tue Jun 05 2012 trem <trem> 1.2.0-1.mga3
+ Revision: 255960
- update to 1.2.0 (stable release)

* Sun Mar 11 2012 trem <trem> 1.1.0-0.r69188.1.mga2
+ Revision: 222663
- update to release 69188

* Sat Mar 10 2012 trem <trem> 1.1.0-0.r69165.1.mga2
+ Revision: 222396
- update to release 69165

* Sun Mar 04 2012 trem <trem> 1.1.0-0.r68658.1.mga2
+ Revision: 217974
- update to release 68658

* Sat Mar 03 2012 trem <trem> 1.1.0-0.r68649.1.mga2
+ Revision: 217524
- update to release 68649

* Sun Feb 26 2012 trem <trem> 1.1.0-0.r68450.1.mga2
+ Revision: 215185
- update to release 68450

* Sat Feb 25 2012 trem <trem> 1.1.0-0.r68434.1.mga2
+ Revision: 214403
- update to release 68434

* Fri Feb 24 2012 trem <trem> 1.1.0-0.r68363.1.mga2
+ Revision: 213948
- update to release 68363

* Wed Feb 22 2012 trem <trem> 1.1.0-0.r68228.1.mga2
+ Revision: 212055
- update to release 68228

* Sun Feb 19 2012 trem <trem> 1.1.0-0.r68120.1.mga2
+ Revision: 210771
- update to release 68120

* Sat Feb 18 2012 trem <trem> 1.1.0-0.r68102.1.mga2
+ Revision: 210219
- update to release 68102

* Sat Feb 11 2012 trem <trem> 1.1.0-0.r67851.1.mga2
+ Revision: 207522
- update to release 67851

* Sat Feb 11 2012 trem <trem> 1.1.0-0.r67846.1.mga2
+ Revision: 207235
- update to release 67846

* Fri Feb 10 2012 trem <trem> 1.1.0-0.r67830.1.mga2
+ Revision: 206944
- update to release 67830

* Tue Feb 07 2012 trem <trem> 1.1.0-0.r67715.1.mga2
+ Revision: 205979
- update to release 67715
- update to release 67703
- update to release 67702
- update to release 67698
- update to release 67688
- update to release 67680

* Wed Dec 28 2011 trem <trem> 1.1.0-0.r66418.1.mga2
+ Revision: 188490
- update to release 66418

* Sun Dec 04 2011 trem <trem> 1.1.0-0.r65867.1.mga2
+ Revision: 176078
- update to release 65867

* Tue Nov 29 2011 trem <trem> 1.1.0-0.r65688.1.mga2
+ Revision: 174225
- update to release 65688

* Sun Nov 27 2011 trem <trem> 1.1.0-0.r65613.1.mga2
+ Revision: 172948
- update to release 65613

* Sun Nov 20 2011 trem <trem> 1.1.0-0.r65428.1.mga2
+ Revision: 169711
- update to release 65428

* Fri Nov 18 2011 trem <trem> 1.1.0-0.r65369.1.mga2
+ Revision: 168707
- update to version 1.1.0
- update to release r65369

* Thu Nov 17 2011 trem <trem> 1.0.999-0.r65341.1.mga2
+ Revision: 168429
- update to release 65341

* Wed Nov 16 2011 trem <trem> 1.0.999-0.r65269.1.mga2
+ Revision: 168185
- update to release 65269

* Sun Nov 13 2011 trem <trem> 1.0.999-0.r65129.1.mga2
+ Revision: 167147
- update to release 65129

* Fri Nov 11 2011 trem <trem> 1.0.999-0.r65056.1.mga2
+ Revision: 166558
- update to release 65056

* Sat Nov 05 2011 trem <trem> 1.0.999-0.r64753.1.mga2
+ Revision: 163312
- update to release 64753

* Tue Nov 01 2011 trem <trem> 1.0.999-0.r64603.1.mga2
+ Revision: 160798
- update to release 64603

* Mon Oct 31 2011 trem <trem> 1.0.999-0.r64579.1.mga2
+ Revision: 160584
- update to release 64579

* Sun Oct 30 2011 trem <trem> 1.0.999-0.r64519.1.mga2
+ Revision: 160059
- update to release 64519

* Sat Oct 29 2011 trem <trem> 1.0.999-0.r64511.1.mga2
+ Revision: 159796
- update to r64511

* Fri Oct 28 2011 trem <trem> 1.0.999-0.r64501.1.mga2
+ Revision: 159279
- update to r64501

* Wed Oct 26 2011 trem <trem> 1.0.999-0.r64414.1.mga2
+ Revision: 158371
- update to r64414
- use release-version on e17 br package (instead of just version)

* Mon Oct 24 2011 trem <trem> 1.0.999-0.r64328.1.mga2
+ Revision: 157768
- add eina-devel and deoxygen as buildrequires
- update to svn release (instead of stable release)
- some spec cleaning

* Mon Apr 18 2011 ennael <ennael> 1.0.0-1.mga1
+ Revision: 87942
- clean spec file
- imported package embryo


* Sat Jan 29 2011 Funda Wang <fwang@mandriva.org> 1.0.0-1mdv2011.0
+ Revision: 633901
- 1.0.0 final

* Sat Dec 18 2010 Funda Wang <fwang@mandriva.org> 1.0.0-0.beta3.1mdv2011.0
+ Revision: 622797
- 1.0 beta3

* Tue Nov 16 2010 Funda Wang <fwang@mandriva.org> 1.0.0-0.beta2.1mdv2011.0
+ Revision: 597955
- 1.0.0 beta2

* Wed Oct 13 2010 Funda Wang <fwang@mandriva.org> 1.0.0-0.beta.1mdv2011.0
+ Revision: 585289
- 1.0.0 beta

* Sat Jul 10 2010 Funda Wang <fwang@mandriva.org> 0.9.9.49898-1mdv2011.0
+ Revision: 550185
- new verison 0.9.9.49898

* Sun Dec 13 2009 Funda Wang <fwang@mandriva.org> 0.9.9.063-1mdv2010.1
+ Revision: 478114
- new version 0.9.9.063

* Fri Aug 07 2009 Funda Wang <fwang@mandriva.org> 0.9.9.062-1mdv2010.0
+ Revision: 411058
- new version 0.9.9.062

* Mon Jul 06 2009 Funda Wang <fwang@mandriva.org> 0.9.9.061-1mdv2010.0
+ Revision: 392856
- fix file list
- new version 0.9.9.061
- protect major

* Sat May 02 2009 Funda Wang <fwang@mandriva.org> 0.9.9.060-1mdv2010.0
+ Revision: 370632
- New version 0.9.9.060

* Sat Feb 28 2009 Antoine Ginies <aginies@mandriva.com> 0.9.9.050-2mdv2009.1
+ Revision: 346218
- bump release
- SVN SNAPSHOT 20090227, release 0.9.9.050

* Sun Oct 12 2008 Funda Wang <fwang@mandriva.org> 0.9.9.050-1mdv2009.1
+ Revision: 292651
- new version 0.9.9.050

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 0.9.9.043-2mdv2009.0
+ Revision: 266619
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Jun 01 2008 Funda Wang <fwang@mandriva.org> 0.9.9.043-1mdv2009.0
+ Revision: 213940
- New version 0.9.9.043

  + Antoine Ginies <aginies@mandriva.com>
    - bump release

* Fri Feb 15 2008 Antoine Ginies <aginies@mandriva.com> 0.9.1.042-2mdv2008.1
+ Revision: 168908
- bump release

* Sat Feb 02 2008 Austin Acton <austin@mandriva.org> 0.9.1.042-1mdv2008.1
+ Revision: 161504
- new version
- fix URL
- no major in devel package
- drop embryo-config

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Oct 31 2007 Antoine Ginies <aginies@mandriva.com> 0.9.1.041-2mdv2008.1
+ Revision: 104068
- CVS SNAPSHOT 20071031, release 0.9.1.041

* Thu Aug 30 2007 Antoine Ginies <aginies@mandriva.com> 0.9.1.041-1mdv2008.0
+ Revision: 76314
- fix missing file embryo-config
- fix path in tarball
- CVS SNAPSHOT 20070830, release 0.9.1.041

* Tue May 29 2007 Antoine Ginies <aginies@mandriva.com> 0.9.1.038-3mdv2008.0
+ Revision: 32624
- CVS SNAPSHOT 20070529, release 0.9.1.038

* Thu May 24 2007 Antoine Ginies <aginies@mandriva.com> 0.9.1.038-2mdv2008.0
+ Revision: 30642
- increase mkrel
- CVS snapshot 20070524, release 0.9.1.038
- remove unwanted changelog

* Mon May 21 2007 Antoine Ginies <aginies@mandriva.com> 0.9.1.038-1mdv2008.0
+ Revision: 29185
- CVS snapshot, release 0.9.1.038

* Mon Apr 23 2007 Pascal Terjan <pterjan@mandriva.org> 0.9.1.037-1mdv2008.0
+ Revision: 17403
- New snapshot
- Add an empty line at the end to not break multiarch macro
- Import embryo



* Fri Mar 24 2006 Austin Acton <austin@mandriva.org> 0.9.1.025-0.20060323.1mdk
- new cvs checkout

* Fri Feb 17 2006 Austin Acton <austin@mandriva.org> 0.9.1.023-0.20060216.1mdk
- new cvs checkout

* Wed Jan 18 2006 Austin Acton <austin@mandriva.org> 0.9.1.023-0.20060117.1mdk
- new cvs checkout

* Thu Jan 12 2006 Austin Acton <austin@mandriva.org> 0.9.1.022-0.20060111.1mdk
- new cvs checkout

* Fri Nov 25 2005 Austin Acton <austin@mandriva.org> 0.9.1.019-0.20051124.1mdk
- new cvs checkout

* Wed Nov 09 2005 Austin Acton <austin@mandriva.org> 0.9.1.018-0.20051109.1mdk
- new cvs checkout

* Sat Nov 05 2005 Austin Acton <austin@mandriva.org> 0.9.1.018-0.20051104.1mdk
- new cvs checkout

* Mon Sep 05 2005 Austin Acton <austin@mandriva.org> 0.9.1.013-0.20050904.1mdk
- new cvs checkout

* Sun Aug 14 2005 Austin Acton <austin@mandriva.org> 0.9.1.013-0.20050813.1mdk
- new cvs checkout

* Mon Jun 27 2005 Austin Acton <austin@mandriva.org> 0.9.1.010-0.20050627.1mdk
- new cvs checkout

* Wed Jun 08 2005 Austin Acton <austin@mandriva.org> 0.9.1.008-0.20050608.1mdk
- new cvs checkout

* Wed May 25 2005 Austin Acton <austin@mandriva.org> 0.9.1.007-0.20050524.2mdk
- multiarch binaries

* Wed May 25 2005 Austin Acton <austin@mandriva.org> 0.9.1.007-0.20050524.1mdk
- new cvs checkout

* Sun May 15 2005 Austin Acton <ausitn@mandriva.org> 0.9.1.007-0.20050511.2mdk
- clean spec

* Thu May 12 2005 Austin Acton <austin@mandriva.org> 0.9.1.007-0.20050511.1mdk
- use cvs version 0.9.1.025
- use my spec file

* Fri Sep 24 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.0.1-0.20040913.1mdk
- 0.0.1 20040913
